import HcTooltip from './hc-tooltip/index.vue'
import HcTipItem from './hc-tooltip/item.vue'
import HcTableForm from './table-form/index.vue'
import HcPageLayout from './page-layout/index.vue'
import HcTreeData from './tree-data/index.vue'
import HcTasksUser from './hc-tasks-user/index.vue'

//注册全局组件
export const setupComponents = (App) => {
    App.component('HcTooltip', HcTooltip)
    App.component('HcTipItem', HcTipItem)
    App.component('HcTableForm', HcTableForm)
    App.component('HcTreeData', HcTreeData)
    App.component('HcTasksUser', HcTasksUser)
    App.component('HcPageLayout', HcPageLayout)
}
